//////////////////////////////////////////////////////////////////////////
//Export Function
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

typedef LPCWSTR	 (__stdcall *pGetNetworkDevices)();
typedef LPCWSTR	 (__stdcall *pGetBluetoothDevices)();
typedef LPCWSTR	 (__stdcall *pGetUSBDevices)();
typedef LPCWSTR	 (__stdcall *pGetSerialDevices)();
typedef LPCWSTR	 (__stdcall *pGetParallelDevices)();

class CMPosLookup
{
public:
	CMPosLookup();
	~CMPosLookup();

	LPCWSTR			getNetworkDevices();
	LPCWSTR			getBluetoothDevices();
	LPCWSTR			getUSBDevices();
	LPCWSTR			getSerialDevices();
	LPCWSTR			getParallelDevices();
	
private:
	HMODULE m_hDll;

	bool LoadDll();
	void UnloadDll();

	pGetNetworkDevices		fgetNetworkDevices;
	pGetBluetoothDevices	fgetBluetoothDevices;
	pGetUSBDevices			fgetUSBDevices;
	pGetSerialDevices		fgetSerialDevices;
	pGetParallelDevices		fgetParallelDevices;
};

